ReferenceMap (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.util
Class ReferenceMap

    java.lang.Object
      java.util.AbstractMap
          org.hyperic.sigar.util.ReferenceMap

All Implemented Interfaces:
  java.util.Map

Direct Known Subclasses:
  WeakReferenceMap

    public class ReferenceMap

extends java.util.AbstractMap

Nested Class Summary
`protected static interface` | `ReferenceMap.MapReference`
`protected static class` | `ReferenceMap.SoftValue`
`protected static class` | `ReferenceMap.WeakValue`

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected java.util.Map` | `map`
`protected java.lang.ref.ReferenceQueue` | `queue`

Constructor Summary
`ReferenceMap()`
`ReferenceMap(java.util.Map map)`

Method Summary
`void` | `clear()`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`static java.util.Map` | `newInstance()`
`static java.util.Map` | `newInstance(java.util.Map map)`
`protected void` | `poll()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`static java.util.Map` | `synchronizedMap()`

Methods inherited from class java.util.AbstractMap
`clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### queue

    protected java.lang.ref.ReferenceQueue queue

### map

    protected java.util.Map map

Constructor Detail

### ReferenceMap

    public ReferenceMap()

### ReferenceMap

    public ReferenceMap(java.util.Map map)

Method Detail

### synchronizedMap

    public static java.util.Map synchronizedMap()

### newInstance

    public static java.util.Map newInstance()

### newInstance

    public static java.util.Map newInstance(java.util.Map map)

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.AbstractMap`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.AbstractMap`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `java.util.AbstractMap`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `java.util.AbstractMap`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`
  Overrides:
    `size` in class `java.util.AbstractMap`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Specified by:
    `entrySet` in class `java.util.AbstractMap`

### poll

    protected void poll()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.